Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal
Class PortalParentedResourceIDBuilder<T extends PortalParentedResourceID>

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T>
              com.bea.portal.tools.resource.WebAppResourceIDBuilder<T>
                  com.bea.portal.tools.resource.ParentedResourceIDBuilder<T>
                      com.bea.portal.tools.portal.PortalParentedResourceIDBuilder<T>

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  DesktopParentedResourceIDBuilder

    public class PortalParentedResourceIDBuilder<T extends PortalParentedResourceID>

extends ParentedResourceIDBuilder<T>

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PortalParentedResourceIDBuilder()` Constructor.
`PortalParentedResourceIDBuilder(PortalParentedResourceType resourceType)` Constructor.

Method Summary
`PortalID` | `getPortalID()`
`protected PortalParentedResourceID` | `narrowParentedResourceID(ResourceID parentedResourceID)` Use this to narrow to a specific resourceId type in subclasses
`PortalParentedResourceIDBuilder<T>` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PortalParentedResourceIDBuilder` | `setPortalID(PortalID portalID)` Change the parent `PortalResourceID`.

Methods inherited from class com.bea.portal.tools.resource.ParentedResourceIDBuilder
`getParentResourceID, getRawParentResourceID, setParentResourceID`

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceIDBuilder
`getWebApp, getWebAppResourceID, setWebApp, setWebAppResourceID`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, createResourceID, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalParentedResourceIDBuilder

    public PortalParentedResourceIDBuilder()

  Constructor.

### PortalParentedResourceIDBuilder

    public PortalParentedResourceIDBuilder(PortalParentedResourceType resourceType)

  Constructor.

Method Detail

### parseResourceURN

    public PortalParentedResourceIDBuilder<T> parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `ParentedResourceIDBuilder<T extends PortalParentedResourceID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getPortalID

    public PortalID getPortalID()

### setPortalID

    public PortalParentedResourceIDBuilder setPortalID(PortalID portalID)

  Change the parent `PortalResourceID`.

  Parameters
    `PortalResourceID` - the parent `PortalResourceID`
  Returns
    this `PortalResourceIDBuilder`

### narrowParentedResourceID

    protected PortalParentedResourceID narrowParentedResourceID(ResourceID parentedResourceID)

  Description copied from class: `ParentedResourceIDBuilder`
  Use this to narrow to a specific resourceId type in subclasses

  Overrides:
    `narrowParentedResourceID` in class `ParentedResourceIDBuilder<T extends PortalParentedResourceID>`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.